package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.base.api.common.ServiceResponse;
import com.gic.haoban.manage.api.dto.GicClerkDTO;
import com.gic.haoban.manage.api.dto.StaffDTO;
import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.api.dto.UserLoginLogDTO;

public interface StaffApiService {

	public StaffDTO selectById(String staffId);
	
	public StaffDTO selectSuperByWxEnterpriseId(String wxEnterpriseId);

	public List<StaffDTO> listByIds(List<String> staffIds);

	public List<StaffDTO> listByWxUserId(String wxUserId);

	public StaffDTO selectByNationcodeAndPhoneNumber(String wxEnterpriseId,String nationcode, String phoneNumber);

	public ServiceResponse add(StaffDTO staff, String departmentIds);

	public List<StaffDepartmentRelatedDTO> listStaffDepartmentByStaffId(String staffId);

	public Page<StaffDTO> pageStaff(String departmentId, Integer activeFlag, String keyword, BasePageInfo pageInfo);

	public void del(String staffDepartmentStaffRelatedId);

	public void wxGetAdd(String userId,String wxEnterpriseId);

	public void staffEdit(StaffDTO staffDTO, String departmentIds);

	public void syscGicClerk(String fieldListString);

	public StaffDTO selectByUserIdAndEnterpriseId(String userId,String wxEnterpriseId);

	public StaffDepartmentRelatedDTO getDepartmentIdAndStaffId(String departmentId, String staffId);

	public int countByDepartmentId(String departmentId);

	public void syncGicClerk(String fieldListString);

	public void addGicClerk(GicClerkDTO clerkDTO);

	StaffDepartmentRelatedDTO getDepartmentIdAndCode(String departmentId, String code);

	void initWxUser(String corpid, String contactSecret, String wxEnterpriseId, Integer wxDepartmentId,String taskId);

	public List<String> listUnBindClerk(String storeId);

	public void cleanGicClerk(String clerkCode, String departmentId);

	public String insertUserLoginLog(UserLoginLogDTO userLoginLogDTO);

	public int countByDepartmentIds(List<String> departmentIds);
	
	public List<StaffDTO> listByPhoneNumber(String phoneNumber);

	public List<StaffDTO> listByUserIdsAndWxEnterpriseId(List<String> userIds, String wxEnterpriseId);

    /**
     * 保存gic成员
     *
     * @param clerkDTO
     * @return
     */
    public ServiceResponse saveSyncStaffByGic(GicClerkDTO clerkDTO);

	/**
	 * 获取成员头像
	 *
	 * @param clerkCode
	 * @param storeId
	 * @return
	 */
	public ServiceResponse<String> getStaffQrcode(String clerkCode, String storeId);

	void wxFristAdd(String userJson, String wxEnterpriseId);

	List<String> listBindClerkUserId(String storeId);
}
